Summary: SAFT - Simple Asynchronous File Transfer
Name: sendfile
Version: 2.1
Release: 3
Source: ftp://ftp.uni-stuttgart.de/pub/unix/comm/sendfile.tar.gz
Copyright: GPL
Group: Networking/Daemons
URL: http://www.belwue.de/BelWue/software/saft/index-us.html
#Packager: Thorsten Heit <heit@iwi.uni-sb.de>
Packager: Robert Loomans <robertl@premium.com.au>
Patch0: sendfile.patch
Patch1: sendfile-profile.patch
Patch2: sendfile-init.patch
Patch3: sendfile-install.patch

%description
Sendfile is an asynchronous file transfer service for the Internet, like
the sendfile facility in Bitnet: Any user A can send files to another user B
without B being active in any way.

Sendfile for UNIX, which is an implementation of the SAFT protocol (Simple
Asynchronous File Transfer) now offers you a true asynchronous file
transfer service for the Internet. Virtually any form of file can be sent,
including encrypted ones. The SAFT protocol will be submitted as an RFC in
the near future.

%changelog

* Fri Mar 6 1998 Robert Loomans <robertl@premium.com.au>

- Swapped the run priorities. Where 20 for start and 80 for kill. Now 80 for
  start and 20 for kill.

%prep
%setup -n sendfile-2.1
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1

%build
make config
make all

%install
echo ok | make install
install -c -m 755 sendfile.sh $RPMBUILDROOT/etc/profile.d
install -c -m 755 sendfile.csh $RPMBUILDROOT/etc/profile.d
install -c -m 755 sendfiled.init $RPMBUILDROOT/etc/rc.d/init.d/sendfiled

%post
if ! grep saft /etc/services > /dev/null; then
	echo "saft		487/tcp		# simple asynchronous file transfer" >> /etc/services
fi
if ! grep saft /etc/inetd.conf > /dev/null; then
	echo "saft	stream	tcp	nowait	root	/usr/sbin/tcpd	/usr/sbin/sendfiled" >> /etc/inetd.conf
fi
killall -HUP inetd

chkconfig --add sendfiled

%postun
if [ "$1" = "0" ]; then
	grep -v saft /etc/services > /etc/services.new
	mv /etc/services.new /etc/services

	grep -v saft /etc/inetd.conf > /etc/inetd.conf.new
	mv /etc/inetd.conf.new /etc/inetd.conf
	killall -HUP inetd

	grep -v "/usr/bin/check_sendfile" /etc/profile > /etc/profile.new
	mv /etc/profile.new /etc/profile
fi

chkconfig --del sendfiled

%files
/usr/bin/check_sendfile
/usr/bin/sendfile
/usr/bin/sendmsg
/usr/bin/receive
/usr/bin/sf_cleanup
/usr/bin/utf7decode
/usr/bin/utf7encode
/usr/bin/sfconf
/usr/bin/sfdconf
/usr/bin/wlock
/usr/sbin/sendfiled
/usr/man/man1/receive.1
/usr/man/man1/sendfile.1
/usr/man/man1/sendmsg.1
/usr/man/man1/fetchfile.1
/usr/man/man7/fetchfile.7
/usr/man/man8/sendfiled.8
/var/spool/sendfile/*
/etc/profile.d/sendfile.sh
/etc/profile.d/sendfile.csh
/etc/rc.d/init.d/sendfiled
%config /etc/sendfile.deny
%config /etc/sendfile.cf
%doc doc/[A-Z]* doc/do* doc/features doc/in* doc/vorteile

